Instalação de pacotes via devtools::install_github()

Bom dia, pessoal!

Alguém já teve esta mensagem de erro ao tentar baixar um pacote via devtools::install_github(“tidyverse/dplyr”) ?

Obs: Quando eu executo o comando: devtools::load_all() sugerido no link abaixo, o erro é apresentado…

link: https://github.com/r-lib/pkgdown/issues/377

Error: No root directory found in D:/R/S… or its parent directories. Root criterion: contains a file DESCRIPTION

Obs: Quando baixo diretamento do CRAN via library() funciona normalmente, porém quero utilizar a versão 1.0 do Dplyr mas sem sucesso.

Obrigado

1 Curtida

Ale, muitas vezes os pacotes do GitHub ainda estão com problemas e não podem ser instalados em todas as plataformas, mas não sei se esse era o problema com o dplyr sem ver a mensagem de erro.

Note que você não precisa rodar devtools::load_all() para fazer um pacote do GitHub funcionar; essa função serve somente para quando você estiver desenvolvendo o seu próprio pacote.

P.S.: Agora o dplyr 1.0 está no CRAN, então não precisa mais se preocupar!